Overview

Copyright ©2006. Madison Media Software, Inc., a subsidiary of Sony Corporation of America
All Rights Reserved
Revised May 23, 2006

Sony Media Software proudly introduces Media Manager software, a powerful organizational tool you can use to manage libraries of media so you can find just the right assets for your creations.

Media Manager software maintains databases—called media libraries—of your media, including file attributes, ACID metadata, and tags that you can assign to classify your media.

Unlike Windows Explorer — which relies on folders to organize your media — the Media Manager tool offers complete flexibility with classifying and searching for media no matter how your folders are organized. With customizable tagging, you can organize your media files in many different ways without having to duplicate files in multiple folders.

What do you want to do?

Create a new media library and add media

Edit, add, or remove tags

Find, preview, and add media to a project

Set Media Manager options

Use the Media Manager tool with multiple computers

Vegas, Vegas+DVD, DVD Architect, Vegas Movie Studio, Vegas Movie Studio+DVD, DVD Architect Studio, ACID, Music Studio, ACIDized, Sony Sound Series, Chopper, Groove Mapping, Groove Cloning, CD Architect, Sound Forge, Audio Studio, Cinescore, Acoustic Mirror, Noise Reduction, Wave 64, Wave Hammer, and XFX are trademarks or registered trademarks of Madison Media Software, Inc. or its affiliates in the United States and other countries.

Madison Media Software, Inc. may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Madison Media Software, Inc., the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.


Working with Libraries

The Media Manager tool uses media libraries to organize your media.

What do you want to do?

Create a new media library

Open a media library

Add media to a library

Remove media from a library

Use reference libraries

Create a backup of a library


Creating a New Media Library

Although you can use tags, custom columns, searches, and advanced searches to tame even the most unwieldy collection of media within a single library, there are times when you'll want to create completely independent databases. You can create a new library at any time.

Each media library serves as an independent database, and you can use multiple libraries with the Media Manager tool. You might want to use separate libraries, for example, to distinguish media from different computers or to create separate libraries for multiple users of a single computer.

For very large media collections, using multiple media libraries can improve performance.

  1. If the Media Manager window isn't already visible, choose Media Manager from the View menu.

  2. Click the Media Library Actions button [image] and choose New Media Library from the menu. The New Media Library dialog is displayed.

  3. In the Name box, type the name you want to use to identify the library.

  4. The Folder box displays the path to the folder where the library will be created. Click Browse to choose a different location.

  5. Click the Create button to create the new library.


Adding Media to a Library

Before you can search or organize your media files, you'll need to add them to a media library.

When the Sony Sound Series Loops & Samples reference library is installed and set as the active reference library in the Media Manager Options dialog, tags and custom properties from the reference library will be applied to media from existing Sony Sound Series Loops & Samples or Loops for ACID collections when you add media to your library.

The Sony Sound Series Loops & Samples reference library is not installed by default, but you can install it from the application CD or download it here. After installing the library, go to the Media Manager Options dialog and choose the reference library from the Reference library drop-down list.

Tips:

  • To quickly add media to the current library, drag files or folders from another application (such as the Windows Explorer) to the Media Manager window.

  • If the Save media-usage relationships in active media library check box is selected on the General tab of the ACID or Vegas Preferences dialog, you can add individual files to a library by previewing the files in the Explorer window. For more information about media relationships, click here.

  1. Click the Add Files to Media Library button [image]. The Add Files to Media Library dialog is displayed.

  2. Choose the folders that will be searched for media:

a. If it isn't displayed automatically, click the Add Folder button [image] to display the Browse for Folder dialog.

b. Select the folder you want to search.

c. Click OK.

Tips:

  • If you want to remove a folder from the list, select it and click the Remove Folder button [image].

  • If you want to change an item in the folder list, select it and click the Browse button [image] in the Folders column.

  3. Repeat step 2 for each folder you want to search.

  4. Select the Include subfolders check box if you want to search folders within the selected folders.

  5. Select the Audio, Video, Images, or MIDI check boxes to indicate the types of media you want to add. Clear a check box to exclude that type of media file.

    Files that contain audio and video streams will be added if either or both of the Audio or Video check boxes are selected.

  6. Specify whether you want to search for new files or all files:

  • Select the New files only radio button if you want to search only for new media files. Files that already exist in the media library will be skipped.

—or—

  • Select the All files radio button if you want to search for all media files in the specified folder. New media files will be added, and files that already exist in the media library will be searched to determine whether their properties have changed.

  7. Select the Add tags and custom properties from files check box if you want to add tags and custom columns saved in the media files to your library. For more information about tagging media, click here. For information about adding custom columns to the Search Results pane, click here.

  8. Select the Use file and folder names to apply tags automatically check box if you want to automatically tag files based on the file path.

    For example, when this check box is selected, a loop saved in the d:\loops\drums\hi-hats\ folder would have the tags Drums and Hi-Hats applied when it is added to the library. Some synonyms (and variant spellings) will be resolved automatically. If you need to modify the pattern-matching, you can edit the AutoTagPatterns.xml file, which is created in your My Documents\Sony Media Libraries folder the first time the application starts.

Changing the selection of the Add tags and custom properties from files and Use file and folder names to apply tags automatically check boxes also changes the settings in the Media Manager Options dialog.

  9. Click the Search button to start adding files to the library.

  10. Click the Close button when you're finished.

    A tag is automatically added to the Tag tree when you search. The tag name will include the date and time of the search, and all files that were added or updated in the library are marked with this tag.

If you want to scan the media files in your library and compare them to the files on disk to look for updated media properties, use the Update button on the Media Library tab of the Media Manager Options dialog.

If the values stored in the media library and the files on disk do not match, the Media Manager will prompt you to choose the values you want to keep.

Select the Ignore file dates when checking for changes check box if you want to scan all files. When the check box is cleared, only files that have been modified since the last update will be scanned.


Removing Media from a Library

Removing media from a library deletes references to a media file from the current library without affecting the media files themselves.

  1. Perform a search to find the files you want to delete.

  2. Select files in the Search Results pane to choose the files you want to delete.

  3. Right-click a selected file and choose Remove from Library from the shortcut menu (or press the Delete key on your keyboard). A confirmation dialog is displayed.

  4. Click OK to remove the selected files from the library.


Reference Libraries

A reference library contains information about media from a vendor.

When the Sony Sound Series Loops & Samples reference library is installed and set as the active reference library in the Media Manager Options dialog, tags and custom properties from the reference library will be applied to media from existing Sony Sound Series Loops & Samples or Loops for ACID collections when you add media to your library.

The Sony Sound Series Loops & Samples reference library is not installed by default, but you can install it from the application CD or download it here. After installing the library, go to the Media Manager Options dialog and choose the reference library from the Reference library drop-down list.

You can also use a reference library to search media files that aren't part of your collection. For example, if you're unable to find the perfect loop for an ACID or Vegas project in your own collection, you could use the Sony Sound Series Loops & Samples reference library to search the entire Sony Sound Series Loops & Samples catalog and purchase a new loop library.

You can use the Media Reference Library drop-down list in the Media Manager Options dialog to determine which library is opened when you click the Switch to Media Reference Library button [image] .

  1. Click the Switch to Media Reference Library button [image] . The reference library specified in the Media Manager Options dialog is opened.

Media in a reference library is displayed in gray text to indicate that the files are not available on your computer.

  2. Find the media you're looking for with a standard or advanced search.

  3. Tag media from the reference library as needed.

  4. When you select a file in a reference library, the Product Information pane displays information about the selected file and a link you can use to purchase the media.


Opening a Media Library

The Media Manager window displays the contents of the current media library. You can open a different library at any time.

When you open a media library, the Media Manager tool creates a transaction log file. This file is created in the same folder as the .medialib file and uses the same base name as the .medialib file. For example, the transaction log file for default.medialib would be default_log.ldf.

Do not delete these log files. Doing so will prevent you from opening the associated library. When the Media Manager tool closes, it automatically removes the log file. If the application terminates inappropriately, close all running ACID or Vegas windows, restart the software, and close the application to clear the log file.

  1. Click the Media Library Actions button [image] and choose Open Media Library from the menu. The Open Media Library dialog is displayed.

  2. Choose the folder where the library you want to open is stored:

  • Choose a drive and folder from the Look in drop-down list.

—or—

  • Use the bar on the left side of the window to browse to a folder.

  3. Select a library from the list.

  4. Click the Open button to open the selected library.

    The name of the current library is displayed in the upper-right corner of the Search Results pane:


Creating a Backup

Media Manager software automatically saves your library as you make changes, so you don't need to tell the application explicitly to save your library as you're working.

However, you can create a backup of the current library as a restore point or as a template to create new libraries.

When you back up your library, the Media Manager automatically performs database management that can reclaim free space and improve performance.

  1. Click the Media Library Actions button [image] and choose Back Up Media Library from the menu. The Back Up Media Library dialog is displayed.

  2. Choose a drive and folder from the Save in drop-down list, or use the browse window to locate the folder where you want to save your backup.

  3. In the File name box, type the name you want to use to identify the library.

  4. Click the Save button.

    To restore the backup at a later time, open the backup file.


Tagging Overview

Editing, Applying, or Removing Tags

Tagging helps you classify your media files. For example, if you wanted to keep track of loops played by a specific instrument, you could create a tag with the name of the instrument and apply it to the appropriate loops. Similarly, you could create tags for genres, moods, seasons, client names, locations, scenes, performer names, and so on.

What do you want to do?

Create tags or edit the tag tree

Apply tags to media files

Remove tags from media files

Tag a loop library


Editing the Tag Tree

Adding tags creates new tags in the current library only.

  1. Click the New Tag button [image] to add a new tag to the tree.

    If a tag is selected, the new tag will be added below the selected tag. If no tag is selected, the new tag will be added to the bottom of the tag tree.

  2. Type a name for the tag.

  3. Press Enter.

  4. If you want to change the icon used to display the tag, right-click it and choose Edit from the shortcut menu to display the Tag Editor dialog.

  5. If you want to change the tag's location, drag it to a new location in the tag tree.

  1. Select a tag in the tag tree.

  2. Click the Delete Selected Tag button [image].

  3. Click the OK button when prompted to delete the tag from your library.

    The tag is removed from the library and from all media files in the library. However, if the tag had been saved to the media file, it will be added to the library again the next time the file is added to the library if the Add tags and custom properties from files check box is selected in the Add Files to Media Library dialog.

To reduce the possibility of inadvertently losing information you created through meticulous tagging, create a backup of your library before deleting a tag. You may also want to consider creating an Inactive tag and moving unused tags below that tag rather than deleting them.

If you remove tags from the reference library, tags will not be applied when you Add Files to Media Library.

Merging tags combines a selected tag with its subtags and removes the subtags from your library permanently.

For example, if you created too many tags when you organized your bass loops, you could right-click the Basses tag and choose Merge Subtags into Selected Tag from the shortcut menu.

The Jazz Basses, Jazz/Rock Basses, and Jazz/Funk Basses subtags would be combined with the main Basses tag, and the subtags would be removed from the library. All media formerly associated with the subtags would be associated with the Basses tag.

Tags are displayed in a tree view in the Media Manager window. You can organize tags hierarchically: click the Expand button [image] to expand a list, or click the Collapse button [image] to hide an expanded list.

You can drag, copy, and paste tags within the list to arrange them and create parent and child tags.

You can also display tags in a palette view by clicking the Change Tags View button [image].

Right-click a tag and choose Sort Current Level to sort tags in ascending order. Tag names that begin with numbers are displayed first, and then tag names that start with letters are displayed. Subtags are not sorted:

In the following example, right-clicking the "D" tag and choosing Sort Current Level, sorts only the parent-level tags:

In the following example, right-clicking the "3" tag and choosing Sort Current Level, sorts only the child-level tags:

  1. Double-click a tag (or right-click a tag and choose Edit from the shortcut menu) to display the Tag Editor dialog.

  2. In the Tag name box, type the name you want to display for the tag.

  3. Select the icon that will be displayed for the tag.

  4. Click the OK button to apply your changes and close the Tag Editor dialog.

The palette view provides another way of working with tags that can be useful for more focused searching. You can use a palette to concentrate on a portion of the current tag tree.

In the palette view, tags are displayed as a grid of buttons instead of the standard hierarchical tag tree.

Click the Change Tags View button [image] to toggle the display of the tag tree and palette view.

Click the down arrow [image] next to the button to choose a saved palette or create a new palette.

Creating a palette

  1. Click the down arrow [image] next to the Change Tags View button [image] and choose New Palette from the menu. The New Palette dialog is displayed.

  2. In the Name box, type the name you want to use to identify the palette.

  3. In the Rows box, specify the number of rows of buttons you want to display in the palette.

  4. In the Columns box, specify the number of columns of buttons you want to display in the palette.

  5. Click OK to create the palette. The palette is displayed as a grid with empty buttons.

Renaming a palette

  1. Right-click any button in the palette and choose Edit Current Palette from the shortcut menu. The Edit Palette dialog is displayed.

  2. Type a new name for the palette in the Name box.

    The new name is displayed when you click the down arrow [image] next to the Change Tags View button [image] to recall the saved palette.

Assigning palette buttons

  1. Perform either of the following actions to display the Tag Chooser dialog:

  2. Click an empty palette button.

—or—

  1. Click an existing button and choose Choose Tag from the shortcut menu.

  2. Select the tag you want to assign to the button.

  3. Click the OK button.

Clearing a button

Right-click a palette button and choose Clear from the shortcut menu.

Deleting a saved palette

  1. Right-click a palette button and choose Delete Current Palette from the shortcut menu.

  2. Click the OK button when prompted to delete the palette from your library.

Perform the following procedure to save tags and properties to files.

Saving tags and properties to files makes all your organization portable: if tags and custom properties are saved to files, that information will be preserved in the files and can be added to the library by selecting the Add tags and custom properties from files check box in the Add Files to Media Library dialog.

Saving tags and properties to files affects only the current media library and libraries that you create after saving the information. If you have multiple libraries, you can add embedded tags and custom columns to existing libraries by opening the desired library and rescanning your media folders with the Add tags and custom properties from files check box selected in the Add Files to Media Library dialog. Embedded file properties are also updated when you preview or add media to a project.

  1. Perform a search to find the files for which you want to save tags and custom properties.

  2. Select media files in the Search Results pane. Hold Ctrl or Shift to select multiple files.

  3. Click the Save Tags and Properties to Files button [image] (or right-click a selected file and choose Save Tags and Properties to Files from the shortcut menu).

    Information about tags associated with the file or information that you edited in the Search Results pane is saved to the selected files.

    Metadata can be saved internally for the following file formats:

  4. MP3

  5. Windows Media Format (WMA and WMV)

  6. WAV

  7. WAV64

  8. SFA

  9. PCA

  10. Scott Studios

For other file types, the Media Manager tool will save metadata to an .sfl file (using the same base name as your media file).

Editing the Tag Tree

When you create a new library, a default tag tree is displayed in the Tags pane. You can create your own tags to customize the tags for your needs. Tags are the fastest way to search a media library, and they require very little disk space.

What do you want to do?

Create a tag

Delete a tag from the library

Merge subtags

Arrange tags in the tag tree

Sort tags

Edit tag names or images

View or create palettes

Save tags and properties to files


Tagging Media

Applying Tags to Media

You tag media by dragging a tag from the tag tree to a media file in the Search Results pane (or by dragging a media file to a tag) when the Apply Tag Mode button [image] is selected.

If you want to see which tags are associated with a file as you're adding or removing tags, use the Properties pane in the Search Results pane (or drag the Tags column in the Search Results pane to the left so you can see the Name and Tags columns at the same time).

Tags are saved in your media library. If a media file exists in multiple libraries, tagging the media file in one library has no effect on the other libraries unless you save the tags to the files and use the Add Files to Media Library dialog to update tags and custom properties for all files.

  1. Perform a search to find the files you want to tag.

  2. Select media files in the Search Results pane. Hold Ctrl or Shift to select multiple files.

  3. Select the Apply Tag Mode button [image].

  4. Drag a tag from the tag tree to the selected files. A tag icon is displayed on the selected files to indicate the tag is being applied:

You can also right-click a selection in the Search Results pane and choose Apply Tag from the shortcut menu to apply a tag to all selected media. The Tag Chooser dialog will be displayed. Select the tag you want to add, and then click the OK button.

When you add a subtag to a media file, the tag's hierarchical position in the tag tree is applied implicitly.

In this example, adding the "Snare" tag to a media file would mean that a search for "Audio," "Drum One-Shots," or "Snare" would find your tagged media. If the user rearranged the tag tree so that the "Snare" tag did not appear below the "Audio" and "Drum One-Shots" tags, searching for "Audio" or "Drum One-Shots" would not find your tagged media.

If you add all three tags to your media file, a search for "Audio," "Drum One-Shots," or "Snare" would find your tagged media even if the tag tree had been rearranged, though this behavior is not always desirable.


Removing Tags From Media

You remove tags from media by dragging a tag from the tag list to a media file in the Search Results pane (or by dragging a media file to a tag) when the Remove Tag Mode button [image] is selected.

If you want to see which tags are associated with a file as you're adding or removing tags, use the Properties pane in the Search Results pane (or drag the Tags column in the Search Results pane to the left so you can see the Name and Tags columns at the same time).

  1. Perform a search to find the files you want to tag.

  2. Select media files in the Search Results pane. Hold Ctrl or Shift to select multiple files.

  3. Select the Remove Tag Mode button [image].

  4. Drag a tag from the tag tree to the selected files. A tag icon is displayed on the selected files to indicate the tag is being removed:


Tagging for Loop Developers

If you develop collections of loops and samples, you want to make sure you tag your media so users can find your loops easily and so your tagging is consistent with other existing collections.

  1. Make a copy of the media library named Sony Tag Tree for Library Development.medialib. This file is saved in your My Documents\Sony Media Libraries folder by default.

  2. Open the copy of the library.

  3. Add your loop collection to tag to the library.

  4. Apply the appropriate tags from the tag tree to your media files.

  5. Use existing tags whenever possible to ensure your collection is consistent with other collections in the Sony Sound Series Loops & Samples family.

  6. When adding new tags, try to add them within the existing tag tree. For example, if you wanted to create a tag for a bowed upright bass, consider adding it below the existing Basses tag:

  7. When adding tags, consider how the user will search for media. In the previous example, adding the tag Bowed to a media file means that the user will find that file whether searching for Basses or Bowed. If a user's tag tree is rearranged so that Bowed is not a subtag of Basses, a search for the Basses tag will not find the file.

    If you add both tags, a search for Basses or Bowed will find the file regardless of whether Bowed is a subtag of Basses. This could result in inaccurate search results.

  8. Each tag contains a globally unique identifier (GUID) that preserves information about the tag and its location within the tag tree. For example, if you saved the Bowed tag to a media file, the file Bowed tag would be added to a user's media library when the file is added. If the Basses tag did not exist in the user's library, it would also be created.

  9. Because tags have unique identifiers, tag information and location is preserved. In the previous example, the Bowed tag would be added to the correct location in the user's media library even if the user had translated all the tag names to a different language or otherwise renamed the Basses tag. In this case, the new tag would be added, but higher-level tags that were renamed by the user would be unaffected.

  5. Save the tags to your media files:

a. Delete the Scan [date / time] tags from the tag tree.

b. If you've searched the collection, click Clear to remove all search criteria and ensure all media files are displayed in the Search Results pane.

c. Select all files in the Search Results pane.

d. Click the Save Tags and Properties to Files button [image] (or right-click a selected file and choose Save Tags and Properties to Files from the shortcut menu).

  6. Distribute your media files. You may optionally include the .medialib file.


Finding, Previewing, and Adding Media to a Project

After you create a library, you're ready to fill it with your media files.

You can organize the media in a library with tags or custom columns, search for media, and preview the files you find to make sure you're using the perfect media for your project.

What do you want to do?

Search for media

Perform an advanced search

Customize the Search Results pane

Preview media files

Display media relationships

Add media to a project

Resolve offline media


Searching for Media

  1. Select the Quick text search check box and type a keyword (or keywords) in the edit box.

    You can separate search terms using quotation marks and other operators. If quotes or wildcard characters are not applied, an * is automatically added before and after each search term. For more searching tips, see the Text searching tips heading in this help topic.

  2. Press Enter.

    The Media Manager tool searches your media files and displays the results in the Search Results pane on the right side of the window. Any file that contains your keywords in the file name or attributes is displayed (tags are not searched as keywords).

    Your search terms are displayed in the yellow bar below the Search Results toolbar.

  3. You can refine the search results by selecting tag check boxes or using the Advanced search controls.

    Choose Match Any from the Match Any/Match All drop-down list if you want to display all media that matches any of your keyword, tag, or advanced search criteria. In the preceding example, the Search Results pane would display all files that contain the keyword "Bongo" OR the "Drum" tag OR the "Keyboard" tag.

    Choose Match All from the Match Any/Match All drop-down list if you want to display only media that matches all of your keyword, tag, and advanced search criteria. In the preceding example, the Search Results pane would display all files that contain the keyword "Bongo" AND the "Drum" tag AND the "Keyboard" tag.

    The yellow bar at the top of the Search Results pane will display the search terms used.

When you use the Quick text search box to perform a keyword search, you can separate search terms using quotation marks and other operators. The following guidelines are used for text searches.

Search terms are case insensitive

You can type search terms in uppercase, lowercase, or mixed-case letters without changing your search results. For example, the following searches would find the same files:

  • Copyright

  • copyRight

  • CopyRight

  • CoPyRiGhT

Blank space between terms is treated as an AND

Adding a space between search terms has the same effect as typing AND between the terms:

is the same search as

Add explicit AND or OR between search terms

By combining the Match Any/Match All drop-down list with explicit AND or OR operators between search terms, you can refine your searches with pinpoint accuracy.

This search would find any media that contains the "Guitar" tag OR media that contains both of the terms "blues" AND "rock" in the file name or attributes.

This search would find any media that contains the "Guitar" tag AND contains either the term "blues" OR "rock" in the file name or attributes.

Quotation marks indicate a search for an exact phrase

If you want to search for an exact phrase, add quotation marks around the search term. An * is automatically added before and after each search term (with or without quotation marks).

If you want to search for a * or ? character in a file's attributes, add quotes around the character.

Search Term | Results
blues and rock | Finds any media with the term "blues" AND the term "rock" in the file name or attributes. Both terms need not appear in the same attribute.
"blues and rock" | Finds any media with the exact term "blues and rock" in the file name or attributes.
"blues*" | Finds any media with the term "blues*" in the file name or attributes. Because the asterisk is contained within quotation marks, it is not used as a wildcard.
blues rock | Finds any media with the term "blues" AND the term "rock" in the file name or attributes. The space between the terms is treated as an AND; additional spaces are ignored.
"blues rock" | Finds any media with the term "blues rock" in the file name or attributes. When quotes surround the search term, the extra spaces are preserved.

You can also use single quotes: '

Parentheses create subqueries

Use parentheses to nest multiple queries:

Search Term | Results
blues and (rock or jazz) | Finds any media with the term "blues" AND either the term "rock" OR "jazz" in the file name or attributes.
blues or (rock and (roll or funk)) | Finds any media with the term "blues" OR the term "rock and roll" OR "rock and funk" in the file name or attributes.

Wildcard characters

Add a * to match 0 or more characters. An * is automatically added before and after each search term (with or without quotation marks).

Add a ? to match exactly one character.

If you want to search for a * or ? character in a file's attributes, add quotes around the character.

Search Term

Results

blues*

Finds any media with a file name or attribute that starts with "blues ." This search would find the following terms:

  • Blues

  • Bluesy

  • Bluesmith

  • Blues66

blues?

Finds any media with a file name or attribute that starts with "blues" and is followed by one character. From the previous list, this search would find only "bluesy."

blues??

Finds any media with a file name or attribute that starts with "blues" and is followed by two characters. From the previous list, this search would find only "blues66."

Negative searches

Add - as a prefix to exclude a term from a search. No space can exist between the - and the search term.

Search Term | Results
blues -rock | Finds any media with a file name or attribute that includes the term "blues" but does not include "rock."
blues solo -sax | Finds any media with a file name or attribute that includes the terms "blues" AND "solo" but does not include "sax."

Select the check box for each tag you want to find. The Media Library searches your media files and displays the results in the Search Results pane on the right side of the window.

Choose Match Any from the Match Any/Match All drop-down list if you want to display all media that contains any keyword, tag, or advanced search criteria. In the preceding example, the Search Results pane would display all files that contain the tag "Blues" OR the tag "Big Band."

Choose Match All from the Match Any/Match All drop-down list if you want to display only media that includes all keyword, tag, and advanced search criteria. In the preceding example, the Search Results pane would display only files with tags "Blues" AND "Big Band."

If you have check boxes selected for parent and child tags, those tags will be treated as an OR relationship regardless of whether Match Any or Match All is selected. See the following examples:

This search would find any media files that contain any one of the selected tags.

This search would find only media files with that contain the "Blues" tag AND also the "Jazz" OR "Big Band" OR "Small Combo" tag.

Select the View Items Not Matching Search Criteria button [image] if you want to invert your search terms. For example, if you'd searched on the "Bongo" tag, selecting this button will display all media that does not contain the "Bongo" tag.

Click a column heading to sort the results in ascending [image] or descending [image] order based on that column.

Click the Previous Search button [image] to navigate through your recent searches and update the contents of the Search Results pane.

After viewing previous searches, click the Next Search button [image] to navigate back to your current search.

Searching for Media

You can use the Media Manager tool to search the current media library for media files using keywords or tags.

Tips:

  • You can use the Search Results Limit box in the Media Manager Options dialog to determine the maximum number of media files you'd like to have returned in the results of your searches. Increasing the Search Results Limit setting increases the amount of time required to search a library and can significantly decrease performance if set excessively high.

  • When performing complex searches, consider creating temporary tags to classify the results. If you apply a tag to the files found by a complex search, you can return to those files easily by searching on the tag. The Media Manager tool can search for tags more quickly than it can perform keyword or advanced searches.

What do you want to do?

Search using a keyword

Text searching tips

Search using tags

Show all items not matching your search terms

Sort search results

Show previous searches


Advanced Searching

If your media library contains many files and you're searching for a very specific media file, the Advanced section of the Search pane can help you zero in on exactly the file you want.

If you want to perform an advanced search to refine the results of a previous search, start by creating a quick search or tag-based search and then perform the following steps.

Tips:

  • You can use the Search Results Limit box in the Media Manager Options dialog to determine the maximum number of media files you'd like to have returned in the results of your searches. Increasing the Search Results Limit setting increases the amount of time required to search a library and can significantly decrease performance if set excessively high.

  • When performing complex searches, consider creating temporary tags to classify the results. If you apply a tag to the files found by a complex search, you can return to those files easily by searching on the tag. The Media Manager tool can search for tags more quickly than it can perform keyword or advanced searches.

  1. Add your search criteria:

a. Click the Add New Search Criteria button [image] in the Search pane. The Search Criteria Chooser is displayed.

b. Double-click an item in the Search Criteria Chooser or drag it to the Advanced section of the Search pane.

Tips:

  • If an item in the Search Results pane displays a [image] button, you can click it to find related media. For example, clicking the button in the following example adds an item to the Advanced section to help you find other media with a beat count of 2.

  • You can also drag a column heading from the Search Results pane to the Advanced section of the Search pane.

  2. Set parameters for each of your search criteria. If the item displays an edit box, type the parameter you want to search for. If the item is displayed as a hyperlink, click the value to display a control you can use to set the value.

  3. Choose whether you want to display files that match any or all of your search criteria:

  4. Choose Match Any from the Match Any/Match All drop-down list if you want to display all media that matches any of your keyword, tag, or advanced search criteria.

  5. Choose Match All from the Match Any/Match All drop-down list if you want to display only media that matches all of your search criteria.

  4. Select the check boxes for the advanced search criteria you want to include in your search, or clear a check box to exclude that item.


Customizing the Search Results Pane

  1. Right-click the column headings and choose Column Chooser from the shortcut menu.

  2. Drag the columns you want to see from the Column Chooser dialog to the Search Results pane.

    To hide a column, right-click a column heading and choose     Remove this Column from the shortcut menu.

You can add custom columns to the Search Results pane to store additional information about media files. When you add custom columns, they are added to the current library only.

For example, if you wanted to keep track of which removable hard drive contained a media file, you could create a custom Drive Number column to assign any numeric rating to a media file. You could then use the Advanced section of the Search pane to search using the Drive Number value.

When adding media to a library, you can choose to add this information by selecting the Add tags and custom columns from files check box in the Add Files to Media Library dialog.

  1. Right-click the column headings and choose Custom Columns from the shortcut menu.

  2. Click the Add New Column button [image] to add a custom column. A new entry is added to the list.

  3. In the Name box, type the name you'd like to display as a column heading.

  4. Select the Type box and choose Text or Integer from the drop-down list to indicate whether you'll store text or numeric data in the column.

If you want to remove a custom column, select an entry in the list and click the Delete Selected Columns button [image]. The column and all data stored in the column is removed from the library.

  5. Click the OK button. The column is added to the media library, and the Search Results pane is scrolled to the right to display your new column.

Drag a column heading to a different location in the Search Results pane to move it.

Drag the splitter between columns to adjust column width, or double-click a splitter to adjust the column width automatically.

Click a column heading to sort the results in ascending [image] or descending [image] order based on that column.

Some columns in the Search Results pane can be edited. When an entry in the Search Results pane is selected, click a box to make it editable. You can then type new information in the box.

Changing a column's contents affects only the entry in the current media library. Click the Save Tags and Properties to Files button [image] to save the properties with the media file.

If you're working with videos or still images, the thumbnail view helps you see the files that match your search criteria.

To switch to thumbnail view, click the down arrow [image] next to the Change Search Results View button [image] and choose Thumbnail.

You can drag the slider at the bottom of the Search Results pane to adjust the size of the thumbnails.

When you select a file, the thumbnail is magnified. You can change the zooming behavior on the Thumbnail tab of the Media Manager Options dialog.

You can choose which frame you want to use as a thumbnail for video files:

  1. Right-click a thumbnail in the Search Results pane and choose Choose Thumbnail from the shortcut menu. The Thumbnail Chooser dialog is displayed.

  2. Drag the slider in the Thumbnail Chooser dialog to set the frame you want to use.

  3. Click the OK button.

If a media file's media is offline, the thumbnail is displayed with a red line through it:

If an item in the Search Results pane displays a [image] button, you can click it to find related media. For example, clicking the button in the following example adds an item to the Advanced section to help you find other media with a beat count of 2.

If you want to make more room for the Search Results pane, you can minimize any of the panes in the Media Manager window.

  1. Hover over a splitter between two panes. Your mouse pointer will be displayed as a [image].

  2. Double-click the splitter to minimize/restore the pane.

The Properties pane displays extended information about the selected file in the Search Results pane. You can view and edit file attributes and view a listing of all tags that have been applied to the file.

Properties that are editable are displayed in black.

Right-click a file in the Search Results pane and choose Show Properties Pane from the shortcut menu to toggle the display of the window.

Perform the following procedure to save tags and properties to files.

Saving tags and properties to files makes all your organization portable: if tags and custom properties are saved to files, that information will be preserved in the files and can be added to the library by selecting the Add tags and custom properties from files check box in the Add Files to Media Library dialog.

Saving tags and properties to files affects only the current media library and libraries that you create after saving the information. If you have multiple libraries, you can add embedded tags and custom columns to existing libraries by opening the desired library and rescanning your media folders with the Add tags and custom properties from files check box selected in the Add Files to Media Library dialog. Embedded file properties are also updated when you preview or add media to a project.

  1. Perform a search to find the files for which you want to save tags and custom properties.

  2. Select media files in the Search Results pane. Hold Ctrl or Shift to select multiple files.

  3. Click the Save Tags and Properties to Files button [image] (or right-click a selected file and choose Save Tags and Properties to Files from the shortcut menu).

    Information about tags associated with the file or information that you edited in the Search Results pane is saved to the selected files.

    If the media file does not support embedded metadata, the Media Manager tool will create an .sfl file (using the same base name as your media file)    .

Customizing the Search Results Pane

If you have a large media library, your searches might produce many matching files. You can customize the Search Results pane to fit your workflow and refine your searches.

What do you want to do?

Show or hide columns

Add custom columns

Arrange columns

Resize columns

Sort using a column

Edit a column's contents

Show thumbnails

Show related media

Show or hide Media Manager panes

Use the Properties pane

Save tags and properties to files


Previewing Media

You can use the transport controls in the Media Manager window to preview media files.

When the Auto Preview button [image] is selected, the Media Manager tool will automatically play selected files. If you have multiple files selected, they will be played back sequentially. Each file's icon will change to a play icon [image] during playback.

  1. Perform a search to find the files you want to preview.

  2. Select files in the Search Results pane to choose the files you want to preview.

  3. Start playback:

  • If the Auto Preview button [image] is selected, playback will begin automatically.

  • If the Auto Preview button is not selected, click the Start Preview button [image] to begin playback.

If you have multiple files selected, they will be played back sequentially. Each file's icon will change to a play icon [image] during playback.

  4. Click the Stop Preview button [image] to stop the preview, or turn off the preview feature by deselecting the Auto Preview button.

    If the file is offline, you'll be prompted to locate the file or choose a replacement.

To preview a media file in its associated media player, right-click the file and choose Open with [Application Name] from the shortcut menu.


Media Relationships

When you're searching or browsing the contents of your media library, you may be overwhelmed by the amount of media you've amassed. How can you possibly remember how and where you've used your media? No problem. The Media Manager tool takes care of the details.

Media relationships are maintained only when the Save media-usage relationships in active media library check box is selected on the General tab of the ACID or Vegas Preferences dialog.

  1. Right-click a media file in the Search Results pane.

  2. Choose Find Related Items from the shortcut menu, and then choose a command from the submenu:

    Command

    Description

    Used with

    Displays all media files that use the selected media.

    Previewed with

    Displays all media that has been previewed in a project containing the selected media.

    Rendered to

    Displays all media files that were created from the selected media file using the Render As command.

    Rendered from

    Displays the original media files that were used to create the selected media file if the file was created using the Render As command.

    Chopped to

    Displays all media files that were created from the selected file using the Chop to New Track command in ACID software.

    Chopped from

    Displays the original media file that was used to create the selected media file if the file was created using the Chop to New Track command in ACID software.

    Rendered track to

    Displays all media files that were created from the selected file using the Render to New Track command.

    Rendered track from

    Displays the original media files that were used to create the selected media file if the file was created using the Render to New Track command.

  3. Media files matching the selected command are displayed in the Search Results pane.

    Click the Previous Search button [image] to return to the previous contents of the Search Results pane.


Adding Media to a Project

After you've added media to your library, tagged it, and searched for specific files or related media, you've probably found just the right piece of media for your current project.

You can add media to your project from the Search Results pane by performing any of the following actions:

  • Dragging a file from the Search Results pane to the project timeline. The file is added wherever you drop it.

You can also drag files from the Search Results pane to the Windows desktop, a folder, or to another application that is an OLE (object linking and embedding) drop target.

  • Double-clicking a media file in the Search Results pane (if the Double-click in Search Results pane adds media to project check box is selected in the Media Manager Options dialog). The file is added to the bottom of the track list.

  • Right-clicking a media file in the Search Results pane and choosing Add to Project from the shortcut menu. The file is added to the bottom of the track list.

If the file is offline, you'll be prompted to locate the file or choose a replacement.


Resolving Offline Media

An offline media file is a file that is no longer available to the Media Manager. Media may be classified as offline if you eject removable storage after adding a file to your library or change a file's name or location.

If a media file is offline, the thumbnail in the Search Results pane is displayed with a red line through it:

  1. Add media to your project or preview media files. If any files are not accessible, the Resolve Offline Media dialog is displayed with a listing of offline files.

  2. Select the files you want to resolve.

  3. Specify how you want to resolve the selected files:

  • Click the Smart Search button to search quickly and allow the Media Manager tool to suggest the replacement file.

  • Click the Browse button to choose a specific replacement file.

  • Click Leave Offline to leave the file offline. The file will not be added to your project.

  • Click Remove to remove the file from the media library. The file will not be added to your project. The original media file is not deleted.

  4. Repeat step 3 for each file in the list.

  5. The dialog lists each offline file and its status:

Icon |  | Description
 | Offline | The file listed in the Offline File column cannot be found. The status will be Offline if you did not search or browse for a replacement file.
 | Probable Match | The file listed in the Offline File column will be replaced by the file listed in the Replacement File column. A status of Probable Match indicates that the Media Manager tool found a likely replacement file when you clicked Smart Search.
 | Found | The file listed in the Offline File column will be replaced by the file listed in the Replacement File column. A status of Found indicates that you chose the file you want to use after clicking the Browse button.

  6. Click the OK button to preview the files or add the files to your project and update the media library with the replacement files.


Media Manager Options

Item

Description

Reference library

Choose the library you want to load when you click the Switch to Media Reference Library button. For more information about using reference libraries, click here.

Search results limit

The maximum number of media files you'd like to have returned in the results of your searches.

Increasing the Search Results Limit setting increases the amount of time required to search a library and can significantly decrease performance if set excessively high.

Double-click in Search Results pane adds media to project

Select this check box if you want to add files to the current project by double-clicking a file in the Search Results pane.

Shut down database service on exit

Select this check box if you want to stop the database service when you close ACID or Vegas software.

Stopping the service can conserve system resources when you aren't using any applications that use the Media Manager tool. However, the application will take longer to start when the check box is selected.

Add tags and custom properties from files

Select this check box if you want to add tags and custom columns saved in the media files to your library when you add media.

For more information about tagging media, click here. For information about adding custom columns to the Search Results pane, click here.

Use file and folder names to apply tags automatically

Select this check box if you want to automatically tag files based on the file path when you add media to your library.

For example, when this check box is selected, a loop saved in the d:\loops\drums\hi-hats\ folder would have the tags Drums and Hi-Hats applied when it is added to the library. Some synonyms (and variant spellings) will be resolved automatically. If you need to modify the pattern-matching, you can edit the AutoTagPatterns.xml file, which is created in your My Documents\Sony Media Libraries folder the first time the application starts.

Item

Description

Delete

Click to remove information about media relationships from your database.

Media relationships are maintained only when the Save media-usage relationships in active media library check box is selected on the General tab of the ACID or Vegas Preferences dialog.

Update

Click to scan the media files in your library and compare them to the files on disk to look for updated media properties.

If the values stored in the media library and the files on disk do not match, the Media Manager will prompt you to choose the values you want to keep.

Select the Ignore file dates when checking for changes check box if you want to scan all files. When the check box is cleared, only files that have been modified since the last update will be scanned.

You can also use the Update button to check your media library for offline files.

Thumbnail (*.sftb) files are used to represent image and video files in the Media Manager. Use the Thumbnails tab to edit settings for saving and using thumbnails.

Item

Description

Thumbnail Caching

Choose a setting from the drop-down list to indicate how you want to store thumbnails for image and video files.

Store thumbnails in common folder

Choose this setting if you want to store all thumbnails in a single folder.

When you store thumbnails in a common location, you can view media thumbnails even if the media is not available (if you store media on a removable drive or network folder, for example).

Store thumbnails with media files

Choose this setting if you want to store each media file's thumbnails in the same folder as the media.

When you store thumbnails with media files, adding media files from a removable drive or network folder can be much faster because the Media Manager does not need to generate thumbnail files for each media file.

Store thumbnails in common folder and with media files

Choose this setting if you want to duplicate thumbnail files in a common folder and with the media.

When you add media files, the Media Manager will not need to generate thumbnails for media files that already have thumbnails in the media folder; existing thumbnail files are copied to the common folder.

Do not store thumbnails

Choose this setting if your disk space is limited and you do not want to store thumbnails. Thumbnails will be generated as needed.

Common thumbnail folder

Displays the path to the common thumbnail folder. Click Browse to choose a different folder.

Limit common folder size to

Select this check box and type a value in the box if you want to limit the amount of storage used for thumbnail files.

Click the Empty button to clear all thumbnails from the common location.

Enable thumbnail zoom

Select this check box if you want to zoom thumbnails when you select them in the Search Results pane.

Delay before zooming thumbnails

Type a value in the box to set the delay before a thumbnail image is zoomed when you select it.

Smooth thumbnail zooming

Select this check box if you want to animate thumbnail zooming.

Media Manager Options

Use the Media Manager Options dialog to set options for working with the Media Manager tool.

To display the dialog, click the Media Library Actions button [image] and choose Options from the menu.

Which tab do you want to learn more about?

General

Media Library

Thumbnails


Using the Media Manager Tool with Multiple Computers

If you have multiple computers in your production environment, you can easily share media libraries.

The following guidelines will help you make the most of your media libraries in a multicomputer setup:

  • Save your media in shared folders where all necessary users have access.

  • Use common drive letters or UNC (universal naming convention) paths for the folders where your media files and libraries are stored on all computers.

    For example, your media files could be in a shared folder called \\studio_a\media ("studio a" is the computer name, and "media" is the name of the shared folder), or you could map the shared folder "media" to drive letter M for all computers.

  • After tagging your media or otherwise changing properties, save the metadata to the media files by clicking the Save Tags and Properties to Files button [image]. Saving this information in the files makes the information more portable across computers.


.topic 1050
This is a test. If you see this topic, you've called a text-only What's This topic from a compiled HTML help file.